Send an invoice

Creates a SubmitInvoice business transaction from a metadata structure.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Use Send an invoice (v2) for more advanced features, such as:

  • Header level discounts.
  • Informative discounts on unit price.
  • More than a single payments means on an invoice.

⚠️

To successfully send in a document, the supplier.identifier must have an ISO identifier corresponding to the company logged in and issuing the document.

Either you were provided with the ISO identifier (Business participant identifiers) or have it attached to your credentials here.

More information (click to expand)

Due to limitations of this documentation platform, to successfully create a document, you must fill in parameters in the request Body Params below (you must be logged in to see your identifiers):

  • You must replace {{selfIdentifier}} in node supplier.identifier with value 0196:1111118899 (or one corresponding to the logged in sender).
  • You must replace {{otherIdentifier}} nodes in messageHandling.receiverIdentifier and customer.identifier with value 0196:2222228899 or a value corresponding to the receiver of the document.
  • You can also replace {{selfName}} (SenderIssuer Company) and {{otherName}} (Receiver Company) where applicable.

The more parameter of the call informs the server whether additional document attachments are expected or not and then updates the message status. If no more documents will be added, the call sets the status of the message to received. Otherwise, the message remains open and the message status is notset.

A message with the status pending review will be reviewed and fixed if the data input is consistent.

The following example contains the minimum JSON body required to create a valid invoice. These elements are mandatory.

{
  "messageHandling": {
    "receiverIdentifier": "0196:2222228899",
    "fallbackEmailAddress": "[email protected]"
  },
  "invoice": {
    "invoiceNo": "INV1234",
    "issueDate": "2019-05-26T10:15:42.774Z",
    "currencyCode": "ISK",
    "orderReference": {
      "documentNo": "ORD4512",
      "issueDate": "2019-05-14T15:11:45.344Z"
    },
    "supplier": {
      "name": "Test Party One",
      "identifier": "0196:1111118899",
      "vatNumber": "99123",
      "address": {
        "streetNameAndNumber": "42nd Street 1",
        "city": "New York",
        "postalZone": "10036",
        "countryCode": "US"
      }
    },
    "customer": {
      "name": "Test Party Two",
      "identifier": "0196:2222228899",
      "address": {
        "streetNameAndNumber": "14th Street 52",
        "city": "New York",
        "postalZone": "10011",
        "countryCode": "US"
      }
    },
    "invoiceLines": [
      {
        "itemNo": "A301",
        "name": "Product A",
        "quantity": 1,
        "unitOfMeasure": {
          "unit": "Kilogram"
        },
        "unitPriceAmount": 1000,
        "taxCategoryType": "StandardRated",
        "taxableAmount": 1000,
        "taxAmount": 240,
        "taxPercentage": 24
      }
    ]
  }
}

Query Params
uuid
required

The identifier of the message in the format of a valid Universally unique identifier (GUID).

string

The identifier of the conversation.
Used as a correlation identifier between different documents in the same business context, for example, between a credit note that was issued based on an invoice and that invoice.

If not provided, it is generated automatically.
In that case, it includes the date when the message was sent, a random token, and the ISO identifier of the sender.

boolean
required

Signals if the current document is the last document that the message is supposed to contain.
If that is true, the processing starts immediately.

string
enum

The way the transaction is processed.

Allowed:
services
array of strings

A list of services that the user specifies for additional message processing.

services
boolean
Defaults to false
Body Params

Metadata structure for creating a SubmitInvoice business transaction.

messageHandling
object
required

Message delivery information.

invoice
object
required

The metadata structure of an invoice.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/xml